Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/Administration/HiveAdministrationView.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/Administration/HiveAdministrationView.Designer.cs	(revision 5614)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/Administration/HiveAdministrationView.Designer.cs	(revision 5638)
@@ -23,11 +23,4 @@
   partial class HiveAdministrationView {
     private System.Windows.Forms.TabControl tabAdmin;
-    private System.Windows.Forms.TabPage tabSlaves;
-    private System.Windows.Forms.SplitContainer splitSlaves;
-    private System.Windows.Forms.TreeView treeSlaveGroup;
-    private System.Windows.Forms.TabControl tabSlaveGroup;
-    private System.Windows.Forms.TabPage tabDetails;
-    private System.Windows.Forms.TabPage tabSchedule;
-    private System.Windows.Forms.TabPage tabJobs;
     private System.Windows.Forms.TabPage tabUsers;
 
@@ -35,34 +28,7 @@
     private void InitializeComponent() {
       this.components = new System.ComponentModel.Container();
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(HiveAdministrationView));
       this.tabAdmin = new System.Windows.Forms.TabControl();
       this.tabSlaves = new System.Windows.Forms.TabPage();
-      this.splitSlaves = new System.Windows.Forms.SplitContainer();
-      this.updateSlaveGroups = new HeuristicLab.Clients.Hive.Views.Common.UpdateControl();
-      this.btnRemoveGroup = new System.Windows.Forms.Button();
-      this.btnAddGroup = new System.Windows.Forms.Button();
-      this.treeSlaveGroup = new System.Windows.Forms.TreeView();
-      this.imageListSlaveGroups = new System.Windows.Forms.ImageList(this.components);
-      this.tabSlaveGroup = new System.Windows.Forms.TabControl();
-      this.tabDetails = new System.Windows.Forms.TabPage();
-      this.txtSlaveState = new System.Windows.Forms.TextBox();
-      this.txtOS = new System.Windows.Forms.TextBox();
-      this.label15 = new System.Windows.Forms.Label();
-      this.label14 = new System.Windows.Forms.Label();
-      this.txtDetailsDescription = new System.Windows.Forms.TextBox();
-      this.label13 = new System.Windows.Forms.Label();
-      this.txtName = new System.Windows.Forms.TextBox();
-      this.txtCPU = new System.Windows.Forms.TextBox();
-      this.txtMemory = new System.Windows.Forms.TextBox();
-      this.txtDetailsCalculatedJobs = new System.Windows.Forms.TextBox();
-      this.label12 = new System.Windows.Forms.Label();
-      this.label11 = new System.Windows.Forms.Label();
-      this.label10 = new System.Windows.Forms.Label();
-      this.label9 = new System.Windows.Forms.Label();
-      this.tabSchedule = new System.Windows.Forms.TabPage();
-      this.scheduleControl1 = new HeuristicLab.Clients.Hive.Views.Administration.ScheduleControl();
-      this.tabJobs = new System.Windows.Forms.TabPage();
-      this.updateControl1 = new HeuristicLab.Clients.Hive.Views.Common.UpdateControl();
-      this.hiveJobListViewSlaves = new HeuristicLab.Clients.Hive.Views.HiveJobListView();
+      this.resourcesView = new HeuristicLab.Clients.Hive.Views.Administration.ResourcesView();
       this.tabUsers = new System.Windows.Forms.TabPage();
       this.splitUsers = new System.Windows.Forms.SplitContainer();
@@ -92,12 +58,4 @@
       this.tabAdmin.SuspendLayout();
       this.tabSlaves.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.splitSlaves)).BeginInit();
-      this.splitSlaves.Panel1.SuspendLayout();
-      this.splitSlaves.Panel2.SuspendLayout();
-      this.splitSlaves.SuspendLayout();
-      this.tabSlaveGroup.SuspendLayout();
-      this.tabDetails.SuspendLayout();
-      this.tabSchedule.SuspendLayout();
-      this.tabJobs.SuspendLayout();
       this.tabUsers.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.splitUsers)).BeginInit();
@@ -127,305 +85,25 @@
       // tabSlaves
       // 
-      this.tabSlaves.Controls.Add(this.splitSlaves);
+      this.tabSlaves.Controls.Add(this.resourcesView);
       this.tabSlaves.Location = new System.Drawing.Point(4, 22);
       this.tabSlaves.Name = "tabSlaves";
       this.tabSlaves.Padding = new System.Windows.Forms.Padding(3);
       this.tabSlaves.Size = new System.Drawing.Size(734, 520);
-      this.tabSlaves.TabIndex = 0;
+      this.tabSlaves.TabIndex = 3;
       this.tabSlaves.Text = "Slaves";
       this.tabSlaves.UseVisualStyleBackColor = true;
       // 
-      // splitSlaves
-      // 
-      this.splitSlaves.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.splitSlaves.Location = new System.Drawing.Point(3, 6);
-      this.splitSlaves.Name = "splitSlaves";
-      // 
-      // splitSlaves.Panel1
-      // 
-      this.splitSlaves.Panel1.Controls.Add(this.updateSlaveGroups);
-      this.splitSlaves.Panel1.Controls.Add(this.btnRemoveGroup);
-      this.splitSlaves.Panel1.Controls.Add(this.btnAddGroup);
-      this.splitSlaves.Panel1.Controls.Add(this.treeSlaveGroup);
-      // 
-      // splitSlaves.Panel2
-      // 
-      this.splitSlaves.Panel2.Controls.Add(this.tabSlaveGroup);
-      this.splitSlaves.Size = new System.Drawing.Size(725, 508);
-      this.splitSlaves.SplitterDistance = 215;
-      this.splitSlaves.TabIndex = 2;
-      // 
-      // updateSlaveGroups
-      // 
-      this.updateSlaveGroups.Location = new System.Drawing.Point(63, 3);
-      this.updateSlaveGroups.Name = "updateSlaveGroups";
-      this.updateSlaveGroups.Size = new System.Drawing.Size(75, 24);
-      this.updateSlaveGroups.TabIndex = 4;
-      this.updateSlaveGroups.UpdateAction = null;
-      // 
-      // btnRemoveGroup
-      // 
-      this.btnRemoveGroup.Image = ((System.Drawing.Image)(resources.GetObject("btnRemoveGroup.Image")));
-      this.btnRemoveGroup.Location = new System.Drawing.Point(33, 3);
-      this.btnRemoveGroup.Name = "btnRemoveGroup";
-      this.btnRemoveGroup.Size = new System.Drawing.Size(24, 24);
-      this.btnRemoveGroup.TabIndex = 2;
-      this.btnRemoveGroup.UseVisualStyleBackColor = true;
-      // 
-      // btnAddGroup
-      // 
-      this.btnAddGroup.Image = ((System.Drawing.Image)(resources.GetObject("btnAddGroup.Image")));
-      this.btnAddGroup.Location = new System.Drawing.Point(3, 3);
-      this.btnAddGroup.Name = "btnAddGroup";
-      this.btnAddGroup.Size = new System.Drawing.Size(24, 24);
-      this.btnAddGroup.TabIndex = 1;
-      this.btnAddGroup.UseVisualStyleBackColor = true;
-      // 
-      // treeSlaveGroup
-      // 
-      this.treeSlaveGroup.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.treeSlaveGroup.ImageIndex = 0;
-      this.treeSlaveGroup.ImageList = this.imageListSlaveGroups;
-      this.treeSlaveGroup.Location = new System.Drawing.Point(3, 33);
-      this.treeSlaveGroup.Name = "treeSlaveGroup";
-      this.treeSlaveGroup.SelectedImageIndex = 0;
-      this.treeSlaveGroup.Size = new System.Drawing.Size(209, 472);
-      this.treeSlaveGroup.TabIndex = 0;
-      this.treeSlaveGroup.NodeMouseClick += new System.Windows.Forms.TreeNodeMouseClickEventHandler(this.treeSlaveGroup_NodeMouseClick);
-      // 
-      // imageListSlaveGroups
-      // 
-      this.imageListSlaveGroups.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
-      this.imageListSlaveGroups.ImageSize = new System.Drawing.Size(16, 16);
-      this.imageListSlaveGroups.TransparentColor = System.Drawing.Color.Transparent;
-      // 
-      // tabSlaveGroup
-      // 
-      this.tabSlaveGroup.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.tabSlaveGroup.Controls.Add(this.tabDetails);
-      this.tabSlaveGroup.Controls.Add(this.tabSchedule);
-      this.tabSlaveGroup.Controls.Add(this.tabJobs);
-      this.tabSlaveGroup.Location = new System.Drawing.Point(3, 3);
-      this.tabSlaveGroup.Name = "tabSlaveGroup";
-      this.tabSlaveGroup.SelectedIndex = 0;
-      this.tabSlaveGroup.Size = new System.Drawing.Size(500, 502);
-      this.tabSlaveGroup.TabIndex = 1;
-      // 
-      // tabDetails
-      // 
-      this.tabDetails.Controls.Add(this.txtSlaveState);
-      this.tabDetails.Controls.Add(this.txtOS);
-      this.tabDetails.Controls.Add(this.label15);
-      this.tabDetails.Controls.Add(this.label14);
-      this.tabDetails.Controls.Add(this.txtDetailsDescription);
-      this.tabDetails.Controls.Add(this.label13);
-      this.tabDetails.Controls.Add(this.txtName);
-      this.tabDetails.Controls.Add(this.txtCPU);
-      this.tabDetails.Controls.Add(this.txtMemory);
-      this.tabDetails.Controls.Add(this.txtDetailsCalculatedJobs);
-      this.tabDetails.Controls.Add(this.label12);
-      this.tabDetails.Controls.Add(this.label11);
-      this.tabDetails.Controls.Add(this.label10);
-      this.tabDetails.Controls.Add(this.label9);
-      this.tabDetails.Location = new System.Drawing.Point(4, 22);
-      this.tabDetails.Name = "tabDetails";
-      this.tabDetails.Padding = new System.Windows.Forms.Padding(3);
-      this.tabDetails.Size = new System.Drawing.Size(492, 476);
-      this.tabDetails.TabIndex = 0;
-      this.tabDetails.Text = "Details";
-      this.tabDetails.UseVisualStyleBackColor = true;
-      // 
-      // txtSlaveState
-      // 
-      this.txtSlaveState.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtSlaveState.Location = new System.Drawing.Point(134, 145);
-      this.txtSlaveState.Name = "txtSlaveState";
-      this.txtSlaveState.Size = new System.Drawing.Size(352, 20);
-      this.txtSlaveState.TabIndex = 13;
-      this.txtSlaveState.Text = "Offline";
-      // 
-      // txtOS
-      // 
-      this.txtOS.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtOS.Location = new System.Drawing.Point(134, 119);
-      this.txtOS.Name = "txtOS";
-      this.txtOS.Size = new System.Drawing.Size(352, 20);
-      this.txtOS.TabIndex = 12;
-      this.txtOS.Text = "Windows 7";
-      // 
-      // label15
-      // 
-      this.label15.AutoSize = true;
-      this.label15.Location = new System.Drawing.Point(16, 152);
-      this.label15.Name = "label15";
-      this.label15.Size = new System.Drawing.Size(32, 13);
-      this.label15.TabIndex = 11;
-      this.label15.Text = "State";
-      // 
-      // label14
-      // 
-      this.label14.AutoSize = true;
-      this.label14.Location = new System.Drawing.Point(14, 126);
-      this.label14.Name = "label14";
-      this.label14.Size = new System.Drawing.Size(90, 13);
-      this.label14.TabIndex = 10;
-      this.label14.Text = "Operating System";
-      // 
-      // txtDetailsDescription
-      // 
-      this.txtDetailsDescription.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtDetailsDescription.Location = new System.Drawing.Point(133, 41);
-      this.txtDetailsDescription.Name = "txtDetailsDescription";
-      this.txtDetailsDescription.Size = new System.Drawing.Size(353, 20);
-      this.txtDetailsDescription.TabIndex = 9;
-      this.txtDetailsDescription.Text = "ascheibepc Description";
-      // 
-      // label13
-      // 
-      this.label13.AutoSize = true;
-      this.label13.Location = new System.Drawing.Point(17, 48);
-      this.label13.Name = "label13";
-      this.label13.Size = new System.Drawing.Size(60, 13);
-      this.label13.TabIndex = 8;
-      this.label13.Text = "Description";
-      // 
-      // txtName
-      // 
-      this.txtName.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtName.Location = new System.Drawing.Point(133, 15);
-      this.txtName.Name = "txtName";
-      this.txtName.Size = new System.Drawing.Size(353, 20);
-      this.txtName.TabIndex = 7;
-      this.txtName.Text = "ascheibepc";
-      // 
-      // txtCPU
-      // 
-      this.txtCPU.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtCPU.Location = new System.Drawing.Point(133, 67);
-      this.txtCPU.Name = "txtCPU";
-      this.txtCPU.Size = new System.Drawing.Size(353, 20);
-      this.txtCPU.TabIndex = 6;
-      this.txtCPU.Text = "Intel Core 2 Duo @ 2.4 Ghz";
-      // 
-      // txtMemory
-      // 
-      this.txtMemory.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtMemory.Location = new System.Drawing.Point(133, 93);
-      this.txtMemory.Name = "txtMemory";
-      this.txtMemory.Size = new System.Drawing.Size(353, 20);
-      this.txtMemory.TabIndex = 5;
-      this.txtMemory.Text = "2048 MB";
-      // 
-      // txtDetailsCalculatedJobs
-      // 
-      this.txtDetailsCalculatedJobs.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtDetailsCalculatedJobs.Location = new System.Drawing.Point(134, 171);
-      this.txtDetailsCalculatedJobs.Name = "txtDetailsCalculatedJobs";
-      this.txtDetailsCalculatedJobs.Size = new System.Drawing.Size(352, 20);
-      this.txtDetailsCalculatedJobs.TabIndex = 4;
-      this.txtDetailsCalculatedJobs.Text = "33";
-      // 
-      // label12
-      // 
-      this.label12.AutoSize = true;
-      this.label12.Location = new System.Drawing.Point(17, 178);
-      this.label12.Name = "label12";
-      this.label12.Size = new System.Drawing.Size(82, 13);
-      this.label12.TabIndex = 3;
-      this.label12.Text = "Calculated Jobs";
-      // 
-      // label11
-      // 
-      this.label11.AutoSize = true;
-      this.label11.Location = new System.Drawing.Point(17, 100);
-      this.label11.Name = "label11";
-      this.label11.Size = new System.Drawing.Size(44, 13);
-      this.label11.TabIndex = 2;
-      this.label11.Text = "Memory";
-      // 
-      // label10
-      // 
-      this.label10.AutoSize = true;
-      this.label10.Location = new System.Drawing.Point(17, 74);
-      this.label10.Name = "label10";
-      this.label10.Size = new System.Drawing.Size(29, 13);
-      this.label10.TabIndex = 1;
-      this.label10.Text = "CPU";
-      // 
-      // label9
-      // 
-      this.label9.AutoSize = true;
-      this.label9.Location = new System.Drawing.Point(16, 22);
-      this.label9.Name = "label9";
-      this.label9.Size = new System.Drawing.Size(35, 13);
-      this.label9.TabIndex = 0;
-      this.label9.Text = "Name";
-      // 
-      // tabSchedule
-      // 
-      this.tabSchedule.Controls.Add(this.scheduleControl1);
-      this.tabSchedule.Location = new System.Drawing.Point(4, 22);
-      this.tabSchedule.Name = "tabSchedule";
-      this.tabSchedule.Padding = new System.Windows.Forms.Padding(3);
-      this.tabSchedule.Size = new System.Drawing.Size(492, 476);
-      this.tabSchedule.TabIndex = 1;
-      this.tabSchedule.Text = "Schedule";
-      this.tabSchedule.UseVisualStyleBackColor = true;
-      // 
-      // scheduleControl1
-      // 
-      this.scheduleControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.scheduleControl1.Location = new System.Drawing.Point(7, 7);
-      this.scheduleControl1.Name = "scheduleControl1";
-      this.scheduleControl1.Size = new System.Drawing.Size(862, 562);
-      this.scheduleControl1.TabIndex = 0;
-      // 
-      // tabJobs
-      // 
-      this.tabJobs.Controls.Add(this.updateControl1);
-      this.tabJobs.Controls.Add(this.hiveJobListViewSlaves);
-      this.tabJobs.Location = new System.Drawing.Point(4, 22);
-      this.tabJobs.Name = "tabJobs";
-      this.tabJobs.Padding = new System.Windows.Forms.Padding(3);
-      this.tabJobs.Size = new System.Drawing.Size(492, 476);
-      this.tabJobs.TabIndex = 2;
-      this.tabJobs.Text = "Jobs";
-      this.tabJobs.UseVisualStyleBackColor = true;
-      // 
-      // updateControl1
-      // 
-      this.updateControl1.Location = new System.Drawing.Point(7, 3);
-      this.updateControl1.Name = "updateControl1";
-      this.updateControl1.Size = new System.Drawing.Size(75, 24);
-      this.updateControl1.TabIndex = 1;
-      this.updateControl1.UpdateAction = null;
-      // 
-      // hiveJobListViewSlaves
-      // 
-      this.hiveJobListViewSlaves.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.hiveJobListViewSlaves.Caption = "JobItemList View";
-      this.hiveJobListViewSlaves.Content = null;
-      this.hiveJobListViewSlaves.Location = new System.Drawing.Point(7, 26);
-      this.hiveJobListViewSlaves.Name = "hiveJobListViewSlaves";
-      this.hiveJobListViewSlaves.ReadOnly = false;
-      this.hiveJobListViewSlaves.Size = new System.Drawing.Size(485, 450);
-      this.hiveJobListViewSlaves.TabIndex = 0;
+      // resourcesView
+      // 
+      this.resourcesView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.resourcesView.Caption = "ResourcesView";
+      this.resourcesView.Content = null;
+      this.resourcesView.Location = new System.Drawing.Point(0, 0);
+      this.resourcesView.Name = "resourcesView";
+      this.resourcesView.ReadOnly = false;
+      this.resourcesView.Size = new System.Drawing.Size(734, 520);
+      this.resourcesView.TabIndex = 0;
       // 
       // tabUsers
@@ -712,13 +390,4 @@
       this.tabAdmin.ResumeLayout(false);
       this.tabSlaves.ResumeLayout(false);
-      this.splitSlaves.Panel1.ResumeLayout(false);
-      this.splitSlaves.Panel2.ResumeLayout(false);
-      ((System.ComponentModel.ISupportInitialize)(this.splitSlaves)).EndInit();
-      this.splitSlaves.ResumeLayout(false);
-      this.tabSlaveGroup.ResumeLayout(false);
-      this.tabDetails.ResumeLayout(false);
-      this.tabDetails.PerformLayout();
-      this.tabSchedule.ResumeLayout(false);
-      this.tabJobs.ResumeLayout(false);
       this.tabUsers.ResumeLayout(false);
       this.splitUsers.Panel1.ResumeLayout(false);
@@ -738,8 +407,6 @@
     #endregion
 
-    private ScheduleControl scheduleControl1;
     private System.Windows.Forms.SplitContainer splitUsers;
     private System.Windows.Forms.ListView lstUsers;
-    private HiveJobListView hiveJobListViewSlaves;
     private System.Windows.Forms.Label label3;
     private System.Windows.Forms.Label label2;
@@ -761,27 +428,10 @@
     private System.Windows.Forms.TabPage tabUserInformation;
     private System.Windows.Forms.TabPage tabUserJobs;
-    private System.Windows.Forms.Label label12;
-    private System.Windows.Forms.Label label11;
-    private System.Windows.Forms.Label label10;
-    private System.Windows.Forms.Label label9;
-    private System.Windows.Forms.TextBox txtName;
-    private System.Windows.Forms.TextBox txtCPU;
-    private System.Windows.Forms.TextBox txtMemory;
-    private System.Windows.Forms.TextBox txtDetailsCalculatedJobs;
-    private System.Windows.Forms.Button btnAddGroup;
-    private System.Windows.Forms.Button btnRemoveGroup;
     private HiveExperimentManagerView hiveExperimentManagerView;
-    private System.Windows.Forms.TextBox txtDetailsDescription;
-    private System.Windows.Forms.Label label13;
-    private System.Windows.Forms.TextBox txtOS;
-    private System.Windows.Forms.Label label15;
-    private System.Windows.Forms.Label label14;
-    private System.Windows.Forms.TextBox txtSlaveState;
-    private System.Windows.Forms.ImageList imageListSlaveGroups;
     private System.ComponentModel.IContainer components;
     private System.Windows.Forms.ImageList imageListUsers;
-    private Common.UpdateControl updateSlaveGroups;
-    private Common.UpdateControl updateControl1;
     private Common.UpdateControl updateControl2;
+    private System.Windows.Forms.TabPage tabSlaves;
+    private ResourcesView resourcesView;
   }
 }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/Administration/HiveAdministrationView.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/Administration/HiveAdministrationView.cs	(revision 5614)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/Administration/HiveAdministrationView.cs	(revision 5638)
@@ -20,7 +20,7 @@
 #endregion
 
-using System;
 using System.Windows.Forms;
 using HeuristicLab.Clients.Hive.Administration;
+using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
@@ -50,48 +50,24 @@
     #endregion
 
+    private void UpdateResources() {
+      IItemList<Resource> resources = new ItemList<Resource>();
+
+      foreach (SlaveGroup g in Content.SlaveGroups) {
+        resources.Add(g);
+      }
+      foreach (Slave g in Content.Slaves) {
+        resources.Add(g);
+      }
+      resourcesView.Content = resources;
+    }
 
     protected override void OnContentChanged() {
       base.OnContentChanged();
       if (Content == null) {
-        // TODO: Put code here when content is null
+        resourcesView.Content = null;
+
       } else {
-        updateSlaveGroups.UpdateAction = new Action(Content.UpdateSlaveGroups);
-        treeSlaveGroup.ImageList.Images.Add(HiveImageLibrary.Slave);
-        treeSlaveGroup.ImageList.Images.Add(HiveImageLibrary.SlaveGroup);
-
-        foreach (SlaveGroup g in Content.SlaveGroups) {
-          TreeNode tn = new TreeNode();
-          tn.ImageIndex = treeSlaveGroup.ImageList.Images.Count - 1;
-          tn.SelectedImageIndex = tn.ImageIndex;
-
-          tn.Tag = g;
-          tn.Text = g.Name;
-          foreach (Slave s in Content.Slaves.FindAll(s => s.ParentResourceId != null && s.ParentResourceId == g.Id)) {
-            var stn = new TreeNode(s.Name);
-            stn.ImageIndex = 0;
-            stn.SelectedImageIndex = stn.ImageIndex;
-            stn.Tag = s;
-            tn.Nodes.Add(stn);
-          }
-          treeSlaveGroup.Nodes.Add(tn);
-        }
-
-        TreeNode ungrp = new TreeNode("UNGROUPED");
-        ungrp.ImageIndex = treeSlaveGroup.ImageList.Images.Count - 1;
-        ungrp.SelectedImageIndex = ungrp.ImageIndex;
-        var newGroup = new SlaveGroup();
-        newGroup.Name = "UNGROUPED";
-        newGroup.Id = Guid.NewGuid();
-        newGroup.Description = "Contains slaves which are in no group";
-        ungrp.Tag = newGroup;
-
-        foreach (Slave s in Content.Slaves.FindAll(s => s.ParentResourceId == null)) {
-          var stn = new TreeNode(s.Name);
-          stn.ImageIndex = 0;
-          stn.SelectedImageIndex = stn.ImageIndex;
-          stn.Tag = s;
-          ungrp.Nodes.Add(stn);
-        }
-        treeSlaveGroup.Nodes.Add(ungrp);
+        //updateSlaveGroups.UpdateAction = new Action(Content.UpdateSlaveGroups);  //??
+        UpdateResources();
 
         ShowUsers();
@@ -122,29 +98,4 @@
     }
 
-    private void treeSlaveGroup_NodeMouseClick(object sender, TreeNodeMouseClickEventArgs e) {
-      if (e.Node != null) {
-        if (e.Node.Tag.GetType() == typeof(Slave)) {
-          Slave s = e.Node.Tag as Slave;
-          txtName.Text = s.Name;
-          txtDetailsDescription.Text = s.Description;
-          txtCPU.Text = s.CpuArchitecture + ", " + s.Cores + " Cores @ " + s.CpuSpeed.ToString();
-          txtMemory.Text = s.Memory.ToString();
-          txtDetailsCalculatedJobs.Clear();
-          txtOS.Text = s.OperatingSystem;
-          txtSlaveState.Text = s.SlaveState.ToString();
-        } else if (e.Node.Tag.GetType() == typeof(SlaveGroup)) {
-          SlaveGroup s = e.Node.Tag as SlaveGroup;
-          txtName.Text = s.Name;
-          txtDetailsDescription.Text = s.Description;
-          txtCPU.Clear();
-          txtMemory.Clear();
-          txtDetailsCalculatedJobs.Clear();
-          txtOS.Clear();
-          txtSlaveState.Clear();
-        }
-      }
-    }
-
-
     #region Event Handlers
     // TODO: Put event handlers here
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/Administration/HiveAppointment.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/Administration/HiveAppointment.cs	(revision 5614)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/Administration/HiveAppointment.cs	(revision 5638)
@@ -28,4 +28,12 @@
   public class HiveAppointment : Calendar.Appointment {
     private Guid recurringId = Guid.Empty;
+
+    [XmlIgnore]
+    public bool Changed { get; set; }
+
+    public HiveAppointment()
+      : base() {
+      Changed = false;
+    }
 
     [XmlIgnore]
@@ -74,5 +82,5 @@
     public bool AllDayEvent {
       get { return base.AllDayEvent; }
-      set { base.AllDayEvent = value; }
+      set { base.AllDayEvent = value; Changed = true; }
     }
 
@@ -80,5 +88,5 @@
     public bool Recurring {
       get { return base.Recurring; }
-      set { base.Recurring = value; }
+      set { base.Recurring = value; Changed = true; }
     }
 
@@ -86,5 +94,5 @@
     public Guid RecurringId {
       get { return recurringId; }
-      set { recurringId = value; }
+      set { recurringId = value; Changed = true; }
     }
 
@@ -92,5 +100,11 @@
     public DateTime EndDate {
       get { return base.EndDate; }
-      set { base.EndDate = value; }
+      set { base.EndDate = value; Changed = true; }
+    }
+
+    [XmlAttribute("StartDate")]
+    public DateTime StartDate {
+      get { return base.StartDate; }
+      set { base.StartDate = value; Changed = true; }
     }
 
